<li class="flex-grow flex items-center space-x-5" [class.bg-green-200]="ticket.completed">
  <button [routerLink]="['/detail', ticket.id]" class="flex space-x-2">
    <span>Ticket : {{ ticket.id }}</span>
    <span>{{ ticket.description }}</span>
    <span>{{ ticket.assignee }}</span>
    <span>{{ ticket.completed }}</span>
  </button>
  <form [formGroup]="form" #ngForm="ngForm" (ngSubmit)="submit()" class="flex">
    <mat-form-field appearance="fill">
      <mat-label>Assign to</mat-label>
      <mat-select formControlName="assignee">
        <mat-option *ngFor="let user of users$ | async" [value]="user.id">{{ user.name }}</mat-option>
      </mat-select>
    </mat-form-field>

    <button mat-flat-button color="primary" type="submit">Assign</button>
  </form>
  <button (click)="done(ticket.id)" mat-flat-button color="primary" type="button">Done</button>
</li>
